%define with_python_version 2.5
Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	data abstraction layer library
Name:      	libgda
Version:   	3.1.2
Release:   	1
License: 	GNU/GPL
URL:		http://ftp.gnome.org/pub/GNOME/sources/libgda/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	glibc-devel
BuildRequires:	ORBit2-devel
BuildRequires:  avahi-devel
BuildRequires:  openssl-devel
BuildRequires:  db-devel
BuildRequires:  dbus-devel
BuildRequires:  gamin-devel
BuildRequires:  ncurses-devel
BuildRequires:  glib-devel
BuildRequires:  readline-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  zlib-devel
BuildRequires:  libgpg-error-devel

%description
Libgda is a database abstraction layer which hides all the database backend specifics from the user, offering a simple interface to each supported database (MySQL, PostgreSQL and SQLite are fully functional while Oracle and MDB are useable and missing features) to run queries.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package #
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_sysconfdir
%_bindir
%_mandir
%_libdir/*.so.*
%_libdir/libgda-3.0
%_locale
%_datadir/gtk-doc
%_datadir/libgda-3.0
#%{_libdir}/python%{with_python_version}/site-packages/

%files devel
%defattr(-,root,root)
%_includedir
#%_datadir/gtk-doc
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.1.2-1
- Initial Release
